Index: tmp/org.txm.concordance.rcp/src/org/txm/concordance/rcp/editors/ConcordanceEditor.java
===================================================================
--- tmp/org.txm.concordance.rcp/src/org/txm/concordance/rcp/editors/ConcordanceEditor.java	(revision 516)
+++ tmp/org.txm.concordance.rcp/src/org/txm/concordance/rcp/editors/ConcordanceEditor.java	(revision 517)
@@ -2262,25 +1547,32 @@
 			public void menuAboutToShow(IMenuManager manager) {
 				IWorkbenchPartSite site = ConcordanceEditor.this.getSite();
 				site.getPage().activate(ConcordanceEditor.this);
-				// manager.add(computeCoocAction);
-
-				//manager.add(computeIndexAction);
-				manager.add(defineViewReferencePatternAction);
-				manager.add(defineSortReferencePatternAction);
 				manager.add(setViewPropertyAction);
 				manager.add(setSortPropertyAction);
 				manager.add(new Separator());
-				//manager.add(complexSortAction);
 				manager.add(setContextSizeAction);
-				//manager.add(resetColumnWidths); // don't work properly
 				manager.add(setLineNumberAction);
 				manager.add(new Separator());
-				//manager.add(backToTextAction);
 			}
 		});
-
-		//viewer.getTable().setMenu(menuManager.createContextMenu(viewer.getTable()));
 		viewer.getTable().setMenu(menu);
+		
+		MenuManager menuManagerLeft = new MenuManager(); //$NON-NLS-1$
+		Menu menuLeft = menuManagerLeft.createContextMenu(viewer2.getTable());
+		menuManagerLeft.setRemoveAllWhenShown(true);
+		menuManagerLeft.addMenuListener(new IMenuListener() {
+			@Override
+			public void menuAboutToShow(IMenuManager manager) {
+				IWorkbenchPartSite site = ConcordanceEditor.this.getSite();
+				site.getPage().activate(ConcordanceEditor.this);
+				manager.add(defineViewReferencePatternAction);
+				manager.add(defineSortReferencePatternAction);
+			}
+		});
+		viewer2.getTable().setMenu(menuLeft);
+		
+		//viewer.getTable().setMenu(menuManager.createContextMenu(viewer.getTable()));
+		//register the right menu to the editor site
 		getSite().registerContextMenu(menuManager, viewer);
 		getSite().setSelectionProvider(viewer);
 	}
@@ -2861,33 +2153,61 @@
 		//		}
 	}
 
-	public boolean isAnnotationEnable() {
-		return annotationArea != null;
+	public void resetLeftTableColumnWidths() {
+		
+		int refMax = referenceColumn.getText().length();
+		for (TableItem item : viewer2.getTable().getItems()) {
+			if (refMax < item.getText(0).length()) refMax = item.getText(0).length();
+		}
+		
+		//System.out.println("Size="+queryLabel.getSize().x +" label="+queryLabel.getText()+" l size"+ queryLabel.getText().length());
+		float W = 1f+(float)(queryLabel.getSize().x / (float)queryLabel.getText().length());
+		//System.out.println("W= "+W+" Maxs "+refMax+ " " +leftMax+" " +keywordMax+" "+rightMax);
+		
+		((FormData) sash.getLayoutData()).left = new FormAttachment(0, 25+(int) (refMax*W));
+		referenceColumn.setWidth(2*(int) (refMax*W));
+		displayArea.layout(true, true);
 	}
-
-	public void resetColumnWidths() {
-
-		//		tableLayout.setColumnData(referenceColumn, new ColumnWeightData(10, true)); 
-		//		tableLayout.setColumnData(leftContextColumn, new ColumnWeightData(50, true));  
-		//		tableLayout.setColumnData(keywordColumn, new ColumnWeightData(10, true)); 
-		//		tableLayout.setColumnData(rightContextColumn, new ColumnWeightData(50, true));  
-		if (annotationArea != null) {
-			annotationColumn.pack();
-
-			annotationColumn.setResizable(true);
-			//			tableLayout.setColumnData(annotationColumn, new ColumnWeightData(10, true));
-		} else { 
-			annotationColumn.setWidth(0);
-			//			tableLayout.setColumnData(annotationColumn, new ColumnWeightData(0, false));
+	
+	/*
+	 * 
+	 */
+	public void resetRightTableColumnWidths() {
+		
+		float W = 1f+(float)(queryLabel.getSize().x / (float)queryLabel.getText().length());
+		
+		TableColumn[] columns = viewer.getTable().getColumns();
+		for (int i = 0 ; i < columns.length ; i++) {
+			TableColumn column = columns[i];
+			if (column.getWidth() == 0) continue; // skip closed columns
+			
+			int max = column.getText().length();
+			if (max == 0) continue; // skip no-title columns
+			
+			int n = 0;
+			for (TableItem item : viewer.getTable().getItems()) {
+				if (max < item.getText(i).length()) max = item.getText(i).length();
+				if (n++ > 100) break; // stop testing after 100 lines
+			}
+			
+			column.setWidth(15+(int) (max*W));
 		}
-//
-//		referenceColumn.pack();
-//		leftContextColumn.pack();
-//		keywordColumn.pack();
-//		rightContextColumn.pack();
 
-		//viewer.getTable().layout(true, true);
+		viewer.getTable().layout(true, true);
 	}
+	
+	/**
+	 * Computes the column widths using the max length of each column (title+lines)
+	 * 
+	 * Use this method after recomputing a result
+	 * 
+	 * The characters width is estimated using the queryLabel length
+	 */
+	public void resetColumnWidths() {
+		resetLeftTableColumnWidths();
+		resetRightTableColumnWidths();
+		
+	}
 
 	@Override
 	public boolean isResultUsingParent(TXMResult parent) {
@@ -2993,4 +2313,28 @@
 		// TODO Auto-generated method stub
 		return null;
 	}
+	
+	/**
+	 * ControlerListener to maintain the width of a TableColumn superior to 5
+	 * 
+	 * @author mdecorde
+	 *
+	 */
+	public static class ConcordanceColumnSizeControlListener implements ControlListener {
+		private TableColumn column;
+		public ConcordanceColumnSizeControlListener(TableColumn column) {
+			this.column = column;
+		}
+		@Override
+		public void controlMoved(ControlEvent e) { }
+		@Override
+		public void controlResized(ControlEvent e) {
+			if (column != null && !column.isDisposed() &&column.getWidth() < 5) column.setWidth(5);
+
+		}
+	}
+
+	public String getLocale() {
+		return locale;
+	}
 }
Index: tmp/org.txm.concordance.rcp/src/org/txm/concordance/rcp/actions/ViewPropertySelection.java
===================================================================
--- tmp/org.txm.concordance.rcp/src/org/txm/concordance/rcp/actions/ViewPropertySelection.java	(revision 516)
+++ tmp/org.txm.concordance.rcp/src/org/txm/concordance/rcp/actions/ViewPropertySelection.java	(revision 517)
@@ -135,5 +135,7 @@
 			concordanceEditor.setKeywordViewProperties(selectedViewProperties);
 			break;
 		}
+		
+		concordanceEditor.resetRightTableColumnWidths();
 	}
 }
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/editors/TXMEditorPart.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/editors/TXMEditorPart.java	(revision 516)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/editors/TXMEditorPart.java	(revision 517)
@@ -110,8 +110,8 @@
 		if (parent.getLayout() instanceof GridLayout)
 		parametersGroupsComposite.setLayoutData(new GridData(GridData.FILL, GridData.FILL, true, false));
 		
-		
 		computingParametersGroup = topToolBar.installGroup("Computing parameters", "Show/Hide command parameters", "icons/show_computing_parameters.png");
+		topToolBar.setVisible(computingParametersGroup, true);
 		
 		displayArea = new Composite(parent, SWT.NONE);
 		displayArea.setLayoutData(new GridData(GridData.FILL_BOTH));
Index: tmp/org.txm.links.rcp/META-INF/MANIFEST.MF
===================================================================
--- tmp/org.txm.links.rcp/META-INF/MANIFEST.MF	(revision 516)
+++ tmp/org.txm.links.rcp/META-INF/MANIFEST.MF	(revision 517)
@@ -6,7 +6,6 @@
 Bundle-Vendor: Textometrie.org
 Bundle-RequiredExecutionEnvironment: JavaSE-1.6
 Require-Bundle: org.eclipse.ui;bundle-version="3.106.1",
- org.txm.annotation.core;bundle-version="1.0.0";visibility:=reexport,
  org.txm.ca.core;bundle-version="1.0.0";visibility:=reexport,
  org.txm.cah.core;bundle-version="1.0.0";visibility:=reexport,
  org.txm.chartsengine.core;bundle-version="1.0.0";visibility:=reexport,
Index: tmp/org.txm.annotation.core/.classpath
===================================================================
--- tmp/org.txm.annotation.core/.classpath	(revision 516)
+++ tmp/org.txm.annotation.core/.classpath	(revision 517)
@@ -1,7 +1,14 @@
 <?xml version="1.0" encoding="UTF-8"?>
 <classpath>
 	<classpathentry kind="con" path="org.eclipse.jdt.launching.JRE_CONTAINER/org.eclipse.jdt.internal.debug.ui.launcher.StandardVMType/JavaSE-1.6"/>
-	<classpathentry kind="con" path="org.eclipse.pde.core.requiredPlugins"/>
+	<classpathentry exported="true" kind="con" path="org.eclipse.pde.core.requiredPlugins">
+		<accessrules>
+			<accessrule kind="accessible" pattern="**"/>
+		</accessrules>
+	</classpathentry>
 	<classpathentry kind="src" path="src"/>
+	<classpathentry exported="true" kind="lib" path="libs/hsqldb.jar"/>
+	<classpathentry exported="true" kind="lib" path="libs/postgresql-9.4.1207.jre6.jar"/>
+	<classpathentry exported="true" kind="lib" path="libs/sqlite-jdbc-3.8.11.2.jar"/>
 	<classpathentry kind="output" path="bin"/>
 </classpath>
Index: tmp/org.txm.annotation.core/META-INF/MANIFEST.MF
===================================================================
--- tmp/org.txm.annotation.core/META-INF/MANIFEST.MF	(revision 516)
+++ tmp/org.txm.annotation.core/META-INF/MANIFEST.MF	(revision 517)
@@ -4,20 +4,81 @@
 Bundle-SymbolicName: org.txm.annotation.core;singleton:=true
 Bundle-Version: 1.0.0.qualifier
 Bundle-Activator: org.txm.annotation.core.Activator
-Require-Bundle: org.txm.searchengine.cqp.core;visibility:=reexport,
+Meta-Persistence: META-INF/persistence.xml
+Require-Bundle: javax.persistence;bundle-version="2.1.0";visibility:=reexport,
+ org.txm.searchengine.cqp.core;visibility:=reexport,
+ org.eclipse.persistence.asm;bundle-version="3.3.1";visibility:=reexport,
  org.eclipse.persistence.jpa;bundle-version="2.6.0";visibility:=reexport,
  org.eclipse.persistence.jpa.jpql;bundle-version="2.6.0";visibility:=reexport,
- javax.persistence;bundle-version="2.1.0";visibility:=reexport,
+ org.eclipse.persistence.antlr;bundle-version="3.2.0";visibility:=reexport,
  org.txm.utils;bundle-version="1.0.0";visibility:=reexport,
  org.eclipse.osgi;bundle-version="3.10.2";visibility:=reexport,
  org.txm.core;bundle-version="0.7.0";visibility:=reexport,
  org.txm.searchengine.core;bundle-version="1.0.0";visibility:=reexport,
- org.eclipse.ui.workbench;visibility:=reexport
+ org.eclipse.ui.workbench;visibility:=reexport,
+ osgi.enterprise;bundle-version="4.2.0";visibility:=reexport,
+ org.eclipse.jst.common.frameworks;bundle-version="1.1.601",
+ org.eclipse.gemini.jpa;bundle-version="1.1.0"
 Bundle-RequiredExecutionEnvironment: JavaSE-1.6
 Bundle-ActivationPolicy: lazy
-Export-Package: org.txm.annotation.core,
+Export-Package: org.hsqldb,
+ org.hsqldb.auth,
+ org.hsqldb.dbinfo,
+ org.hsqldb.error,
+ org.hsqldb.index,
+ org.hsqldb.jdbc,
+ org.hsqldb.jdbc.pool,
+ org.hsqldb.lib,
+ org.hsqldb.lib.java,
+ org.hsqldb.lib.tar,
+ org.hsqldb.map,
+ org.hsqldb.navigator,
+ org.hsqldb.persist,
+ org.hsqldb.resources,
+ org.hsqldb.result,
+ org.hsqldb.rights,
+ org.hsqldb.rowio,
+ org.hsqldb.scriptio,
+ org.hsqldb.server,
+ org.hsqldb.types,
+ org.hsqldb.util,
+ org.postgresql,
+ org.postgresql.copy,
+ org.postgresql.core,
+ org.postgresql.core.v2,
+ org.postgresql.core.v3,
+ org.postgresql.ds,
+ org.postgresql.ds.common,
+ org.postgresql.fastpath,
+ org.postgresql.geometric,
+ org.postgresql.gss,
+ org.postgresql.hostchooser,
+ org.postgresql.jdbc,
+ org.postgresql.jdbc2,
+ org.postgresql.jdbc2.optional,
+ org.postgresql.jdbc3,
+ org.postgresql.largeobject,
+ org.postgresql.osgi,
+ org.postgresql.ssl,
+ org.postgresql.ssl.jdbc4,
+ org.postgresql.sspi,
+ org.postgresql.translation,
+ org.postgresql.util,
+ org.postgresql.xa,
+ org.sqlite,
+ org.sqlite.core,
+ org.sqlite.date,
+ org.sqlite.javax,
+ org.sqlite.jdbc3,
+ org.sqlite.jdbc4,
+ org.sqlite.util,
+ org.txm.annotation.core,
  org.txm.annotation.core.conversion,
  org.txm.annotation.core.preferences,
  org.txm.annotation.core.repository,
  org.txm.annotation.core.storage.temporary,
  org.txm.annotation.core.temporary
+Bundle-ClassPath: .,
+ libs/hsqldb.jar,
+ libs/postgresql-9.4.1207.jre6.jar,
+ libs/sqlite-jdbc-3.8.11.2.jar
Index: tmp/org.txm.annotation.core/src/org/txm/annotation/core/KRAnnotationEngine.java
===================================================================
--- tmp/org.txm.annotation.core/src/org/txm/annotation/core/KRAnnotationEngine.java	(revision 516)
+++ tmp/org.txm.annotation.core/src/org/txm/annotation/core/KRAnnotationEngine.java	(revision 517)
@@ -8,6 +8,7 @@
 import org.txm.annotation.core.repository.KnowledgeRepository;
 import org.txm.annotation.core.repository.KnowledgeRepositoryManager;
 import org.txm.annotation.core.repository.SQLKnowledgeRepository;
+import org.txm.objects.Base;
 import org.txm.objects.BaseParameters;
 import org.txm.searchengine.cqp.corpus.Corpus;
 import org.txm.searchengine.cqp.corpus.MainCorpus;
@@ -196,7 +197,10 @@
 	 * @return the repository names
 	 */
 	public static List<String> getKnowledgeRepositoryNames(Corpus corpus) {
-		BaseParameters params = corpus.getBase().getBaseParameters();
+		if (corpus == null) return new ArrayList<String>();
+		Base base = corpus.getBase();
+		if (base == null) return new ArrayList<String>();
+		BaseParameters params = base.getBaseParameters();
 		return getKnowledgeRepositoryNames(params);
 	}
 	
Index: tmp/org.txm.annotation.core/src/org/txm/annotation/core/repository/AnnotationEffect.java
===================================================================
--- tmp/org.txm.annotation.core/src/org/txm/annotation/core/repository/AnnotationEffect.java	(revision 516)
+++ tmp/org.txm.annotation.core/src/org/txm/annotation/core/repository/AnnotationEffect.java	(revision 517)
@@ -1,10 +1,20 @@
 package org.txm.annotation.core.repository;
 
+/**
+ * Defines is the annotation target is a segment, a single token or another annotation 
+ * @author mdecorde
+ *
+ */
 public enum AnnotationEffect {
 	SEGMENT, // annotate a token sequence
 	TOKEN, // annotate a token position
 	ANNOTATION; // annotate an annotation
 	
+	/**
+	 * 
+	 * 
+	 * @return Effet suffix used to display the annotation type in messages
+	 */
 	public String toSuffix() {
 		if (this.equals(TOKEN)) return " (T)";
 		else if (this.equals(ANNOTATION)) return " (A)";
Index: tmp/org.txm.annotation.core/src/org/txm/annotation/core/repository/AnnotationType.java
===================================================================
--- tmp/org.txm.annotation.core/src/org/txm/annotation/core/repository/AnnotationType.java	(revision 516)
+++ tmp/org.txm.annotation.core/src/org/txm/annotation/core/repository/AnnotationType.java	(revision 517)
@@ -5,6 +5,12 @@
 import javax.persistence.Entity;
 import javax.persistence.Id;
 
+/**
+ * An annotation typed defined in a named Knowledge repository
+ * 
+ * @author mdecorde
+ *
+ */
 @Entity
 public class AnnotationType implements Serializable {
 
Index: tmp/org.txm.annotation.core/src/org/txm/annotation/core/repository/KnowledgeRepository.java
===================================================================
--- tmp/org.txm.annotation.core/src/org/txm/annotation/core/repository/KnowledgeRepository.java	(revision 516)
+++ tmp/org.txm.annotation.core/src/org/txm/annotation/core/repository/KnowledgeRepository.java	(revision 517)
@@ -3,6 +3,7 @@
 import java.util.HashMap;
 import java.util.List;
 import java.util.logging.Level;
+import java.util.logging.Logger;
 
 import javax.persistence.EntityManager;
 import javax.persistence.EntityManagerFactory;
@@ -67,29 +68,31 @@
 		//System.out.println("KnowledgeRepository.initializeEntityManager [DB @ "+dbPath+"]");
 		EntityManagerFactory emf;
 		HashMap<String, Object> properties = new HashMap<String, Object>();
-		properties.put(PersistenceUnitProperties.CLASSLOADER, Toolbox.class.getClassLoader());
-		properties.put("javax.persistence.jdbc.driver", "org.hsqldb.jdbcDriver");
-		String urlProperty = "jdbc:hsqldb:file:"+dbPath+"/db;shutdown=true;hsqldb.lock_file=false;";
-		if (Log.getLevel().intValue() < Level.WARNING.intValue()) {
-			urlProperty += "";
-		} else {
-			urlProperty += "hsqldb.applog=0;hsqldb.sqllog=0";
-		}
-		properties.put("javax.persistence.jdbc.url", urlProperty);
-		properties.put("javax.persistence.jdbc.username", "SA");
-		properties.put(PersistenceUnitProperties.DDL_GENERATION_MODE, "database");
-		properties.put(PersistenceUnitProperties.DDL_GENERATION, "create-or-extend-tables"); // create&update table if needed
-		//properties.put(PersistenceUnitProperties.DDL_GENERATION, "drop-and-create-tables"); // create&update table if needed
-		if (Log.getLevel().intValue() < Level.WARNING.intValue()) {
-			properties.put(PersistenceUnitProperties.LOGGING_LEVEL, "WARNING");
-			properties.put(PersistenceUnitProperties.LOGGING_PARAMETERS, "true");
-		} else {
-			properties.put(PersistenceUnitProperties.LOGGING_LEVEL, "OFF");
-			properties.put(PersistenceUnitProperties.LOGGING_PARAMETERS, "false");
-		}
+//		//properties.put(PersistenceUnitProperties.CLASSLOADER, Toolbox.class.getClassLoader());
+		properties.put(PersistenceUnitProperties.ECLIPSELINK_PERSISTENCE_XML, "/home/mdecorde/workspace079/org.txm.annotation.core/META-INF/persistence.xml");
+//		//properties.put("javax.persistence.jdbc.driver", "org.hsqldb.jdbcDriver");
+//		String urlProperty = "jdbc:hsqldb:file:"+dbPath+"/db;shutdown=true;hsqldb.lock_file=false;";
+//		if (Log.getLevel().intValue() < Level.WARNING.intValue()) {
+//			urlProperty += "";
+//		} else {
+//			urlProperty += "hsqldb.applog=0;hsqldb.sqllog=0";
+//		}
+//		properties.put("javax.persistence.jdbc.url", urlProperty);
+//		properties.put("javax.persistence.jdbc.username", "SA");
+//		properties.put(PersistenceUnitProperties.DDL_GENERATION_MODE, "database");
+//		properties.put(PersistenceUnitProperties.DDL_GENERATION, "create-or-extend-tables"); // create&update table if needed
+//		//properties.put(PersistenceUnitProperties.DDL_GENERATION, "drop-and-create-tables"); // create&update table if needed
+//		if (Log.getLevel().intValue() < Level.WARNING.intValue()) {
+//			properties.put(PersistenceUnitProperties.LOGGING_LEVEL, "WARNING");
+//			properties.put(PersistenceUnitProperties.LOGGING_PARAMETERS, "true");
+//		} else {
+//			properties.put(PersistenceUnitProperties.LOGGING_LEVEL, "OFF");
+//			properties.put(PersistenceUnitProperties.LOGGING_PARAMETERS, "false");
+//		}
 
+		//System.out.println("PROPERTIES: "+properties);
 		// <property name="eclipselink.ddl-generation" value="drop-and-create-tables"/>
-
+		Logger.getLogger("org").setLevel(Level.ALL);
 		emf = new PersistenceProvider().createEntityManagerFactory(DatabasePersistenceManager.PERSISTENCE_UNIT_NAME, properties);
 		if (emf == null) {
 			System.out.println("Error: could not create the PersistenceProvider with name: "+DatabasePersistenceManager.PERSISTENCE_UNIT_NAME);
Index: tmp/org.txm.annotation.core/src/org/txm/annotation/core/repository/TypedValue.java
===================================================================
--- tmp/org.txm.annotation.core/src/org/txm/annotation/core/repository/TypedValue.java	(revision 516)
+++ tmp/org.txm.annotation.core/src/org/txm/annotation/core/repository/TypedValue.java	(revision 517)
@@ -4,6 +4,12 @@
 
 import javax.persistence.*;
 
+/**
+ * A value defined in a Knowledge repository
+ * 
+ * @author mdecorde
+ *
+ */
 @Entity
 public class TypedValue implements Serializable {
 	
Index: tmp/org.txm.annotation.core/src/org/txm/annotation/core/AnnotationManager.java
===================================================================
--- tmp/org.txm.annotation.core/src/org/txm/annotation/core/AnnotationManager.java	(revision 516)
+++ tmp/org.txm.annotation.core/src/org/txm/annotation/core/AnnotationManager.java	(revision 517)
@@ -14,14 +14,15 @@
 import org.txm.searchengine.cqp.corpus.MainCorpus;
 import org.txm.searchengine.cqp.corpus.query.Match;
 import org.txm.utils.logger.Log;
+import org.txm.Engine;
 
 /**
- * Manage annotations and is able to return annotation saved in JPA temporarythe CQP corpus
+ * Manage annotations and is able to return annotation saved in JPA
  * 
  * @author mdecorde
  *
  */
-public class AnnotationManager {
+public class AnnotationManager implements Engine {
 
 	MainCorpus corpus;
 	TemporaryAnnotationManager tempManager;
@@ -29,8 +30,6 @@
 
 	public AnnotationManager(MainCorpus mainCorpus){
 		this.corpus = mainCorpus;
-		tempManager = new TemporaryAnnotationManager(mainCorpus);
-		cqpManager = new CQPAnnotationManager(mainCorpus);
 	}
 
 	public TemporaryAnnotationManager getTemporaryManager(){
@@ -301,6 +300,33 @@
 	}
 
 	public boolean isOpen() {
-		return tempManager.getEntityManager().isOpen();
+		return tempManager.getEntityManager() != null && tempManager.getEntityManager().isOpen();
 	}
+
+	@Override
+	public String getName() {
+		return "Annotation";
+	}
+
+	@Override
+	public boolean getState() {
+		return isOpen();
+	}
+
+	@Override
+	public boolean initialize() throws Exception {
+		tempManager = new TemporaryAnnotationManager(corpus);
+		cqpManager = new CQPAnnotationManager(corpus);
+		return false;
+	}
+
+	@Override
+	public boolean start(IProgressMonitor arg0) throws Exception {
+		return true;
+	}
+
+	@Override
+	public boolean stop() throws Exception {
+		return true;
+	}
 }
Index: tmp/org.txm.annotation.core/src/org/txm/annotation/core/AnnotationEngines.java
===================================================================
--- tmp/org.txm.annotation.core/src/org/txm/annotation/core/AnnotationEngines.java	(revision 516)
+++ tmp/org.txm.annotation.core/src/org/txm/annotation/core/AnnotationEngines.java	(revision 517)
@@ -1,6 +1,5 @@
 package org.txm.annotation.core;
 
-import org.eclipse.core.runtime.CoreException;
 import org.eclipse.core.runtime.IConfigurationElement;
 import org.eclipse.core.runtime.IProgressMonitor;
 import org.eclipse.core.runtime.Platform;
@@ -8,7 +7,7 @@
 import org.txm.EngineType;
 import org.txm.EnginesManager;
 
-public abstract class AnnotationEngines extends EnginesManager<AnnotationEngine> {
+public abstract class AnnotationEngines extends EnginesManager<Engine> {
 	
 	public AnnotationEngines() {
 		
@@ -18,13 +17,13 @@
 	public boolean startEngines(IProgressMonitor monitor) {
 		
 		for (Engine e : engines.values()) {
-			AnnotationEngine se = (AnnotationEngine)e;
-			if (monitor != null) monitor.subTask("Starting "+ se.getName()+" annotation engine.");
-			try {
-				se.start(monitor);
-			} catch (Exception ex) {
-				System.out.println("Error: failed to start annotation engine: "+se.getName()+": "+ex.getLocalizedMessage());
-			}
+//			AnnotationEngine se = (AnnotationEngine)e;
+//			if (monitor != null) monitor.subTask("Starting "+ se.getName()+" annotation engine.");
+//			try {
+//				se.start(monitor);
+//			} catch (Exception ex) {
+//				System.out.println("Error: failed to start annotation engine: "+se.getName()+": "+ex.getLocalizedMessage());
+//			}
 		}
 		return true;
 	}
@@ -32,13 +31,13 @@
 	@Override
 	public boolean stopEngines() {
 		for (Engine e : engines.values()) {
-			AnnotationEngine se = (AnnotationEngine)e;
-			System.out.println("Stoping "+ se.getName()+" annotation engine.");
-			try {
-				se.stop();
-			} catch (Exception ex) {
-				System.out.println("Error: failed to stop annotation engine: "+se.getName()+": "+ex.getLocalizedMessage());
-			}
+//			AnnotationEngine se = (AnnotationEngine)e;
+//			System.out.println("Stoping "+ se.getName()+" annotation engine.");
+//			try {
+//				se.stop();
+//			} catch (Exception ex) {
+//				System.out.println("Error: failed to stop annotation engine: "+se.getName()+": "+ex.getLocalizedMessage());
+//			}
 		}
 		return true;
 	}
@@ -51,21 +50,21 @@
 	@Override
 	protected boolean fetchEngines() {
 		
-		IConfigurationElement[] contributions = Platform.getExtensionRegistry().getConfigurationElementsFor(AnnotationEngine.EXTENSION_POINT_ID);
-		//System.out.println("search engine contributions: "+SearchEngine.EXTENSION_POINT_ID);
-		for (int i = 0; i < contributions.length; i++) {
-			try {
-				AnnotationEngine e = (AnnotationEngine)contributions[i].createExecutableExtension("class"); //$NON-NLS-1$
-				if (e.initialize()) {
-					engines.put(e.getName(), e);
-				} else {
-					System.out.println("Fail to initialize "+e.getName()+" annotation engine.");
-				}
-			} catch(Exception e) {
-				System.out.println("Error: fail instanciate "+contributions[i].getName()+": "+e.getLocalizedMessage());
-				e.printStackTrace();
-			} 
-		}
+//		IConfigurationElement[] contributions = Platform.getExtensionRegistry().getConfigurationElementsFor(AnnotationEngine.EXTENSION_POINT_ID);
+//		//System.out.println("search engine contributions: "+SearchEngine.EXTENSION_POINT_ID);
+//		for (int i = 0; i < contributions.length; i++) {
+//			try {
+//				AnnotationEngine e = (AnnotationEngine)contributions[i].createExecutableExtension("class"); //$NON-NLS-1$
+//				if (e.initialize()) {
+//					engines.put(e.getName(), e);
+//				} else {
+//					System.out.println("Fail to initialize "+e.getName()+" annotation engine.");
+//				}
+//			} catch(Exception e) {
+//				System.out.println("Error: fail instanciate "+contributions[i].getName()+": "+e.getLocalizedMessage());
+//				e.printStackTrace();
+//			} 
+//		}
 		
 		return engines.size() > 0;
 	}
Index: tmp/org.txm.groovy.core/META-INF/MANIFEST.MF
===================================================================
--- tmp/org.txm.groovy.core/META-INF/MANIFEST.MF	(revision 516)
+++ tmp/org.txm.groovy.core/META-INF/MANIFEST.MF	(revision 517)
@@ -33,7 +33,6 @@
  org.txm.specificities.core;bundle-version="1.0.0",
  org.txm.statsengine.core;bundle-version="1.0.0",
  org.txm.referencer.core;bundle-version="1.0.0",
- org.txm.annotation.core;bundle-version="1.0.0",
  org.txm.libs.cqp;bundle-version="1.0.0",
  org.txm.searchengine.core;bundle-version="1.0.0",
  org.eclipse.swt;bundle-version="3.103.2"
Index: tmp/org.txm.core/src/java/org/txm/EnginesManager.java
===================================================================
--- tmp/org.txm.core/src/java/org/txm/EnginesManager.java	(revision 516)
+++ tmp/org.txm.core/src/java/org/txm/EnginesManager.java	(revision 517)
@@ -14,7 +14,7 @@
  */
 public abstract class EnginesManager<T extends Engine> {
 	
-	public static final String ENGINEMANAGER_EXTENSION_POINT_ID = EnginesManager.class.getCanonicalName();
+	public static final String ENGINEMANAGER_EXTENSION_POINT_ID = EnginesManager.class.getName();
 	
 	protected HashMap<String, T> engines = new HashMap<String, T>();
 	
Index: tmp/org.txm.core/src/java/org/txm/Toolbox.java
===================================================================
--- tmp/org.txm.core/src/java/org/txm/Toolbox.java	(revision 516)
+++ tmp/org.txm.core/src/java/org/txm/Toolbox.java	(revision 517)
@@ -86,7 +86,7 @@
 		return state;
 	}
 
-	private static boolean fetchEngines() {
+	private static boolean fetchEngineManagers() {
 		Log.info("Fetching engine managers...");
 		engines.clear();
 		//System.out.println("Contributions of "+EnginesManager.ENGINEMANAGER_EXTENSION_POINT_ID);
@@ -416,7 +416,7 @@
 
 	private static boolean startsEngineManagers(IProgressMonitor monitor) {
 		
-		fetchEngines();
+		fetchEngineManagers();
 
 		Log.info("Starting "+engines.keySet().size()+" engines managers...");
 		
Index: tmp/org.txm.core/META-INF/MANIFEST.MF
===================================================================
--- tmp/org.txm.core/META-INF/MANIFEST.MF	(revision 516)
+++ tmp/org.txm.core/META-INF/MANIFEST.MF	(revision 517)
@@ -278,5 +278,3 @@
  lib/jodconverter-core-3.1-beta.jar
 Bundle-ActivationPolicy: lazy
 Bundle-Vendor: Textometrie.org
-JPA-PersistenceUnits: MyPUWithHSQL
-Meta-Persistence: META-INF/persistence.xml
